DefaultSerializerProvider.Impl
Date: 2016-12-04

com.fasterxml.jackson.databind.ser

## Class DefaultSerializerProvider.Impl

- java.lang.Object
- - com.fasterxml.jackson.databind.DatabindContext
  - - com.fasterxml.jackson.databind.SerializerProvider
    - - com.fasterxml.jackson.databind.ser.DefaultSerializerProvider
      - - com.fasterxml.jackson.databind.ser.DefaultSerializerProvider.Impl

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    DefaultSerializerProvider

      public static final class DefaultSerializerProvider.Impl
      extends DefaultSerializerProvider

  Concrete implementation that defines factory method(s), defined as final.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ser.DefaultSerializerProvider

      `DefaultSerializerProvider.Impl`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.DefaultSerializerProvider

      `_generator, _objectIdGenerators, _seenObjectIds`

    - ### Fields inherited from class com.fasterxml.jackson.databind.SerializerProvider

      `_attributes, _config, _dateFormat, _keySerializer, _knownSerializers, _nullKeySerializer, _nullValueSerializer, _serializationView, _serializerCache, _serializerFactory, _stdNullValueSerializer, _unknownTypeSerializer, CACHE_UNKNOWN_MAPPINGS, DEFAULT_NULL_KEY_SERIALIZER, DEFAULT_UNKNOWN_SERIALIZER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `DefaultSerializerProvider.Impl()`
    `` | `DefaultSerializerProvider.Impl(DefaultSerializerProvider.Impl src)`
    `protected` | `DefaultSerializerProvider.Impl(SerializerProvider src, SerializationConfig config, SerializerFactory f)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultSerializerProvider` | `copy()` Method needed to ensure that `ObjectMapper.copy()` will work properly; specifically, that caches are cleared, but settings will otherwise remain identical; and that no sharing of state occurs.
    `DefaultSerializerProvider.Impl` | `createInstance(SerializationConfig config, SerializerFactory jsf)` Method that sub-classes need to implement: used to create a non-blueprint instances from the blueprint.

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.DefaultSerializerProvider

      `_createObjectIdMap, _serializeNull, acceptJsonFormatVisitor, cachedSerializersCount, findObjectId, flushCachedSerializers, generateJsonSchema, getGenerator, hasSerializerFor, serializePolymorphic, serializePolymorphic, serializerInstance, serializeValue, serializeValue, serializeValue`

    - ### Methods inherited from class com.fasterxml.jackson.databind.SerializerProvider

      `_createAndCacheUntypedSerializer, _createAndCacheUntypedSerializer, _createUntypedSerializer, _dateFormat, _desc, _findExplicitUntypedSerializer, _handleContextualResolvable, _handleResolvable, _quotedString, _reportIncompatibleRootType, canOverrideAccessModifiers, defaultSerializeDateKey, defaultSerializeDateKey, defaultSerializeDateValue, defaultSerializeDateValue, defaultSerializeField, defaultSerializeNull, defaultSerializeValue, findKeySerializer, findKeySerializer, findNullKeySerializer, findNullValueSerializer, findPrimaryPropertySerializer, findPrimaryPropertySerializer, findTypedValueSerializer, findTypedValueSerializer, findTypeSerializer, findValueSerializer, findValueSerializer, findValueSerializer, findValueSerializer, getActiveView, getAnnotationIntrospector, getAttribute, getConfig, getDefaultNullKeySerializer, getDefaultNullValueSerializer, getDefaultPropertyFormat, getDefaultPropertyInclusion, getFilterProvider, getLocale, getSerializationView, getTimeZone, getTypeFactory, getUnknownTypeSerializer, handlePrimaryContextualization, handleSecondaryContextualization, hasSerializationFeatures, isEnabled, isEnabled, isUnknownTypeSerializer, mappingException, mappingException, reportBadPropertyDefinition, reportBadTypeDefinition, reportMappingProblem, reportMappingProblem, setAttribute, setDefaultKeySerializer, setNullKeySerializer, setNullValueSerializer`

    - ### Methods inherited from class com.fasterxml.jackson.databind.DatabindContext

      `constructSpecializedType, constructType, converterInstance, objectIdGeneratorInstance, objectIdResolverInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSerializerProvider.Impl

          public DefaultSerializerProvider.Impl()

    - #### DefaultSerializerProvider.Impl

          public DefaultSerializerProvider.Impl(DefaultSerializerProvider.Impl src)

    - #### DefaultSerializerProvider.Impl

          protected DefaultSerializerProvider.Impl(SerializerProvider src,
                                        SerializationConfig config,
                                        SerializerFactory f)

  - ### Method Detail

    - #### copy

          public DefaultSerializerProvider copy()

      Description copied from class: `DefaultSerializerProvider`
      Method needed to ensure that `ObjectMapper.copy()` will work properly; specifically, that caches are cleared, but settings will otherwise remain identical; and that no sharing of state occurs.
      Overrides:
        `copy` in class `DefaultSerializerProvider`

    - #### createInstance

          public DefaultSerializerProvider.Impl createInstance(SerializationConfig config,
                                                      SerializerFactory jsf)

      Description copied from class: `DefaultSerializerProvider`
      Method that sub-classes need to implement: used to create a non-blueprint instances from the blueprint. This is needed to retain state during serialization.
      Specified by:
        `createInstance` in class `DefaultSerializerProvider`